/* Source file functions for gpasm

    Copyright 2016 Molnár Károly
*/

#ifndef __FILE_H__
#define __FILE_H__

#include "stdhdr.h"

#include "libgputils.h"
#include "gpasm.h"

extern void file_delete_node(void *Node);
extern file_context_t *file_add(unsigned Type, const char *Name);
extern void file_search_paths(source_context_t *Context, const char *Name);
extern void file_free(void);

#endif /* __FILE_H__ */
